# Interface ConfigMergabilityIndicator

All Known Implementing Classes:
  `AbstractSampler, AccessLogSampler, AjpSampler, BaseJMSSampler, BeanShellSampler, BSFSampler, DebugSampler, Example1, Example2, Example3, ExampleSampler, FTPSampler, HTTPSampler, HTTPSampler2, HTTPSamplerBase, HTTPSamplerProxy, JavaSampler, JDBCSampler, JMSSampler, JSR223Sampler, JUnitSampler, LDAPExtSampler, LDAPSampler, MailReaderSampler, MongoScriptSampler, PublisherSampler, SmtpSampler, SoapSampler, SubscriberSampler, SystemSampler, TCPSampler, TestAction, TransactionSampler, WebServiceSampler`

public interface ConfigMergabilityIndicator
Interface that gives a hint about the merge policy to apply between Samplers and Config elements

Since:
  2.7
See Also:
  - `TestCompiler.configureWithConfigElements(Sampler, List)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`applies(ConfigTestElement configElement)`
Does configElement apply to Sampler

## Method Details

### applies

boolean applies(ConfigTestElement configElement)
Does configElement apply to Sampler

Parameters:
  `configElement` - `ConfigTestElement`
Returns:
  boolean